<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="Cotisations_livre_Remu_KAKI"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="595"
		 columnSpacing="0"
		 leftMargin="0"
		 rightMargin="0"
		 topMargin="0"
		 bottomMargin="0"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="LIGNE_BUDG" isForPrompting="true" class="java.lang.String"/>
	<parameter name="ID_BS" isForPrompting="true" class="java.lang.String"/>
	<queryString><![CDATA[select ANNEE, MOIS, UB,CR,SOUS_CR,TYPE_CREDIT,ACTION,CODE_ANA,CONVENTION,
ID_BS, DATE_PAIE,INSEE,CLE,NOM_USUEL,PRENOM,CODE_ELEMENT,LIBELLE_ELEMENT,TYPE_ELEMENT,MONTANT_COTISATION,CLASSE_6, LIGNE_BUDG
from
(
select k05.annee_paie ANNEE, k05.mois_paie MOIS, 
organ.org_ub UB,organ.org_cr CR,organ.org_souscr SOUS_CR,typcred.tcd_code TYPE_CREDIT,action.lolf_code ACTION,
cod_ana.can_code CODE_ANA,conv.exercice||'-'||to_char(conv.conv_index,'FM0000') CONVENTION,
k05.id_bs,k05.d_paie DATE_PAIE, no_insee INSEE, cle_insee CLE, nom_usuel NOM_USUEL, prenom PRENOM,  
e.idelt CODE_ELEMENT, e.l_element LIBELLE_ELEMENT,
decode(e.c_nature, 'P','Rem', 'O', 'Sal', 'I', 'Pat') TYPE_ELEMENT, round((k10e.mt_element*lbud.pagl_quotite)/100,2)  MONTANT_COTISATION, 
 JEFY_PAF.get_imputation_UBx(k10e.IDKX10ELT,k10e.C_ELEMENT,k10e.imput_budget) CLASSE_6,
lbud.org_id||lbud.tcd_ordre||lbud.lolf_id||lbud.can_id||lbud.conv_ordre ligne_budg

from 
jefy_paf.kx_05 K05, jefy_paf.kx_10 k10, jefy_paf.kx_10_element K10e, jefy_paf.kx_element e,
jefy_paf.PAF_AGENT_LBUD lbud,
jefy_admin.organ organ,jefy_admin.type_credit typcred, 
jefy_admin.LOLF_NOMENCLATURE_DEPENSE action,jefy_admin.CODE_ANALYTIQUE cod_ana, jefy_paf.v_convention conv
where
k05.idkx05 = k10.idkx05
and k10.idkx10 = k10E.idkx10
and k10e.c_element = e.idelt
and k05.id_bs = lbud.id_bs
and lbud.org_id = organ.org_id 
and lbud.tcd_ordre = typcred.tcd_ordre
and action.lolf_id = lbud.lolf_id 
and lbud.can_id = cod_ana.can_id(+)
and lbud.CONV_ORDRE = conv.conv_ordre(+)
and k10e.imput_budget <> '00000000'
and e.c_nature <> 'P'
) cotis
where 
cotis.id_bs = $P{ID_BS} 
and cotis.ligne_budg = $P{LIGNE_BUDG}
order by UB||CR||SOUS_CR||ACTION,LIGNE_BUDG,NOM_USUEL, PRENOM,ID_BS]]></queryString>

	<field name="ANNEE" class="java.math.BigDecimal"/>
	<field name="MOIS" class="java.math.BigDecimal"/>
	<field name="UB" class="java.lang.String"/>
	<field name="CR" class="java.lang.String"/>
	<field name="SOUS_CR" class="java.lang.String"/>
	<field name="TYPE_CREDIT" class="java.lang.String"/>
	<field name="ACTION" class="java.lang.String"/>
	<field name="CODE_ANA" class="java.lang.String"/>
	<field name="CONVENTION" class="java.lang.String"/>
	<field name="ID_BS" class="java.lang.String"/>
	<field name="DATE_PAIE" class="java.sql.Timestamp"/>
	<field name="INSEE" class="java.lang.String"/>
	<field name="CLE" class="java.lang.String"/>
	<field name="NOM_USUEL" class="java.lang.String"/>
	<field name="PRENOM" class="java.lang.String"/>
	<field name="CODE_ELEMENT" class="java.lang.String"/>
	<field name="LIBELLE_ELEMENT" class="java.lang.String"/>
	<field name="TYPE_ELEMENT" class="java.lang.String"/>
	<field name="MONTANT_COTISATION" class="java.math.BigDecimal"/>
	<field name="CLASSE_6" class="java.lang.String"/>
	<field name="LIGNE_BUDG" class="java.lang.String"/>

	<variable name="TOTAL_COTISATIONS" class="java.math.BigDecimal" resetType="Group" resetGroup="ID_BS" calculation="Sum">
		<variableExpression><![CDATA[$F{MONTANT_COTISATION}]]></variableExpression>
	</variable>
	<variable name="RECUP_COTISATIONS" class="java.math.BigDecimal" resetType="Group" resetGroup="ID_BS" calculation="Sum">
		<variableExpression><![CDATA[$F{MONTANT_COTISATION}]]></variableExpression>
	</variable>

		<group  name="ID_BS" >
			<groupExpression><![CDATA[$F{ID_BS}]]></groupExpression>
			<groupHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="19"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="0"
						y="0"
						width="192"
						height="19"
						backcolor="#FFFF99"
						key="textField-1"/>
					<box topBorder="1Point" topBorderColor="#000000" leftBorder="1Point" leftBorderColor="#000000" rightBorder="1Point" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Libellé Cotisation"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="192"
						y="0"
						width="83"
						height="19"
						backcolor="#FFFF99"
						key="textField-2"/>
					<box topBorder="1Point" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="1Point" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Cotisation"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="275"
						y="0"
						width="62"
						height="19"
						backcolor="#FFFF99"
						key="textField-3"/>
					<box topBorder="1Point" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="1Point" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Imputation"]]></textFieldExpression>
				</textField>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="15"  isSplitAllowed="false" >
				<textField isStretchWithOverflow="false" pattern="##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="195"
						y="0"
						width="70"
						height="13"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.math.BigDecimal"><![CDATA[$F{MONTANT_COTISATION}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="277"
						y="0"
						width="55"
						height="13"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{CLASSE_6}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="4"
						y="0"
						width="185"
						height="13"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{LIBELLE_ELEMENT}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
